Public Class Form1
    Private m_EventDate As Date

    Private Enum PlayParam
        SND_ASYNC = &H1
        SND_LOOP = &H8
        SND_NODEFAULT = &H2
        SND_SYNC = &H0
        SND_NOSTOP = &H10
        SND_MEMORY = &H4
    End Enum
    Private Declare Function PlaySound Lib "winmm.dll" Alias "sndPlaySoundA" (ByVal lpszSoundName As String, ByVal uFlags As PlayParam) As Long

    Private Sub tmrCheckTime_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tmrCheckTime.Tick
        Dim remaining As TimeSpan = m_EventDate.Subtract(Now)
        If remaining.TotalSeconds < 1 Then
            tmrCheckTime.Enabled = False
            Me.WindowState = FormWindowState.Maximized
            Me.TopMost = True

            For Each ctl As Control In Me.Controls
                If ctl Is lblEvent Then
                    ctl.Location = New Point( _
                        (Me.ClientSize.Width - ctl.Width) \ 2, _
                        (Me.ClientSize.Height - ctl.Height) \ 2)
                Else
                    ctl.Visible = False
                End If
            Next ctl

            Try
                PlaySound("tada.wav", PlayParam.SND_ASYNC)
            Catch ex As Exception
                Beep()
            End Try
        Else
            lblDays.Text = remaining.Days & " days"
            lblHours.Text = remaining.Hours & " hours"
            lblMinutes.Text = remaining.Minutes & " minutes"
            lblSeconds.Text = remaining.Seconds & " seconds"
        End If
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim event_name As String = InputBox("Event")
        If event_name.Length = 0 Then
            Me.Close()
            Exit Sub
        End If

        Dim event_date As String = InputBox("Date (e.g. 12/23/09 17:23:00)")
        If event_date.Length = 0 Then
            Me.Close()
            Exit Sub
        End If

        m_EventDate = CDate(event_date)
        lblEvent.Text = event_name

        Me.Text = event_name & " at " & m_EventDate
        tmrCheckTime.Enabled = True
    End Sub
End Class
